# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rvtest-macros"
version = "0.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Proc-macros for rvtest — A Next Level Testing Library for Rust"
homepage = "https://github.com/reasvyn/rvtest"
documentation = "https://docs.rs/rvtest-macros"
readme = false
license = "MIT"
repository = "https://github.com/reasvyn/rvtest"
resolver = "2"

[lib]
name = "rvtest_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.syn]
version = "2.0.117"
features = [
    "full",
    "extra-traits",
]

[dev-dependencies]
